﻿
.img-bz {
    margin: 5px;
    display: inline-block;
}

.vehicle {
    width: 400px;
    height: auto;
    margin: auto;
    margin-left: 50%;
}


.vehicle-row {
    position: relative;
    margin-bottom: 4px;
    display: flex;
}

.vehicle-row-wrapper {
    margin-bottom: 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.vehicle-c {
    border-radius: 50%;
}

.vehicle-o {
    border-radius: 50%;
}

.vehicle-part {
    background-color: #a0dfa0;
    border: 1px solid #6F88BF;
    display: flex;
    position: relative;
    text-align: center;
    cursor: pointer;
    vertical-align: top;
    opacity: 0.6;
    align-items: center;
    justify-content: center;
    padding: 20px;
}

.vehicle-part-pv {
    background-color: #a0dfa0;
    border: 1px solid #6F88BF;
    display: inline-block;
    position: relative;
    text-align: center;
    cursor: pointer;
    vertical-align: top;
}

.headlight-l, .headlight-r {
    width: 32px;
    height: 32px;
}

.wheelfront-l, .wheelfront-r {
    width: 32px;
    height: 59px;
}

.fenderfront-l, .fenderfront-r {
    width: 59px;
    height: 59px;
}

.hood {
    width: 152px;
    height: 59px;
}

.grille {
    width: 204px;
    height: 32px;
}

.bumper-front {
    width: 279px;
    height: 31px;
    left: 50px;
}

.mirror-l, .mirror-r {
    width: 46px;
    height: 20px;
}

.doorfront-l, .doorfront-r {
    width: 25px;
    height: 147px;
}


.windshield {
    width: 219px;
    height: 59px;
}

.doorrear-l, .doorrear-r, .doorrear-r2 {
    width: 25px;
    height: 147px;
}

.doorrear-l {
    left: 0px;
}

.doorrear-r {
    left: 195px;
}

.doorrear-r2 {
    left: 165px;
}

.windowrear {
    width: 152px;
    height: 59px;
    top: 109px;
    left: 83.5px;
}

.wheelrimrear-r, .wheelrimrear-l {
    width: 32px;
    height: 63px;
    bottom: 35px;
}

.fenderrear-l, .fenderrear-r {
    height: 59px;
    width: 59px;
}

.trunk {
    width: 152px;
    height: 38px;
    top: 21px;
}

.taillight-l, .taillight-r {
    width: 32px;
    height: 32px;
}

.bumperrear {
    width: 207px;
    height: 31px;
}

.vp-1 {
    left: 50px;
}


.vp-3 {
    left: 14px;
}

.vp-6 {
    left: 14px;
}

.vp-7 {
    left: 50px;
    bottom: 4px;
}

.bg-green {
    background-color: #a0dfa0 !important;
}

.bg-red {
    background-color: #ff8080;
}

.bg-grey {
    background-color: #e3e3e3;
}

.bg-yellow {
    background-color: #ffc107;
}

.bg-peach {
    background-color: #FFE5B4;
}

.red-border {
    border: 5px solid #ff8080;
}

.green-border {
    border: 2px solid #a0dfa0;
}

.yellow-border {
    border: 2px #ffc107 solid;
}

#vimages {
    width: 395px;
    /*max-height: 290px;*/
    /* border: 2px solid black; */
    /* color: #fff; */
    text-align: center;
    padding: 8px;
}

#level .level-box {
    width: 11.67%;
    display: inline-block;
    padding: 10px 0px;
}

#level {
    background-image: linear-gradient(to right, #83c100, yellow, red);
    font-weight: bold;
}

.level-box:hover {
    background-color: rgba(0,0,0,0.4);
    color: #dee2e6;
    cursor: pointer;
}

.level-active {
    background-color: rgba(0,0,0,0.4);
    color: #dee2e6;
    cursor: pointer;
}

#vtitle {
    padding: 3px;
    font-size: 2rem;
}

/*.vimages::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    border-radius: 10px;
    background-color: #F5F5F5;
}

.vimages::-webkit-scrollbar {
    width: 5px;
    background-color: #F5F5F5;
}

.vimages::-webkit-scrollbar-thumb {
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
    background-color: #828181;
}*/

.no-bodyzone-area {
    position: absolute;
    z-index: 1;
    bottom: 5%;
    left: 7%;
    width: 395px;
    height: 165px;
    overflow-y: scroll;
}

#img-bz-list {
    max-height: 250px;
    overflow-y: scroll;
}

.bodyzone-imgwrapper .row:not(:first-child) {
    margin-top: 15px;
}

.vehicle-frame {
    transform: scale(0.9);
    margin: 0 auto;
    text-align: left;
    background: url(/assets/s2/img/carmodel2.jpg) no-repeat 16%;
    background-size: contain;
    width: 258px;
}

    .vehicle-frame.custom-frame-position {
        background-position-y: 58%;
    }

.bz-title {
    display: flex;
    color: #495057;
}

    .bz-title:before {
        margin-right: 15px;
        background-color: #495057;
        padding: 12px 6px;
        content: "";
        display: inline-block;
    }

.level-wrapper {
    background-image: linear-gradient(to right,#83c100,yellow,red);
    position: absolute;
    right: 30px;
    display: flex;
}

    .level-wrapper .level-box {
        display: block;
        padding: 5px 10px !important;
        font-weight: bold;
    }

.no-body-zones:before {
    margin-right: 15px;
    background-color: #495057;
    padding: 12px 6px;
    content: "";
    display: inline-block;
}

.no-body-zones {
    display: flex;
    color: #495057;
}

.red-border {
    border: 2px solid #ff8080;
}

.vimages {
    width: 100% !important;
    text-align: left !important;
    padding: 2rem 2.5rem !important;
}

.slimScrollDiv {
    width: 100% !important;
}

#modal-bz-preview-body .bz-img-count {
    opacity: 0;
}

.custom-badge-1 {
    position: absolute;
    right: 2px;
    bottom: 2px;
    border-radius: 0;
    z-index: 1;
    font-size: 11px;
}

    .custom-badge-1:before {
        content: "";
        width: 6px;
        height: 16px;
        background: #ffc107;
        display: block;
        position: absolute;
        left: -3px;
        top: 0px;
        transform: skewX(-20deg);
        z-index: 0;
    }

.level-box-disable {
    color: rgba(0,0,0,0.2);
    background-color: rgba(0,0,0,0.2);
    cursor: default !important;
    pointer-events: none;
}

.nobodyzone-part {
    width: 207px;
    height: 31px;
    line-height: 80%;
}

.fbx-custom-layout .fbx-caption {
    padding-top: 15px;
}

.bt-20 {
    bottom: 20px;
}

.red-pointer {
    color: red;
    cursor: pointer;
}

.dvFancyboxLoader {
    position: fixed;
    top: 50%;
    margin-left: 200px;
}

.mh-400p {
    min-height: 400px !important;
}

.vehicle-direction {
    flex-direction: column !important;
    display: inline-flex !important;
}
/*.mb-4{
    margin-bottom:4px !important;
}*/
.ml-5 {
    margin-left: 5px !important;
}



.damageSeverityBox {
    width: 100px;
    text-align: center;
    margin-bottom: 1rem;
    border: 1px solid #6c757d;
    /*cursor: pointer;*/
}

.damage-cosmetic {
    background-color: #a0dfa0;
}

.damage-moderate {
    background-color: #FFE5B4;
}

.damage-heavy {
    background-color: #ff8080;
}

.damage-extreme {
    background-color: #9E2B00;
}

.dvDamageServerity {
    padding: 1rem;
    width: 125px;
}


.damageSeverityBox2 {
    width: 100px;
    text-align: center;
    margin-bottom: 1rem;
    border: 1px solid #6c757d;
    cursor: pointer;
}

.damage-cosmetic-r2 {
    background-color: rgba(160, 223, 160, .5);
    border: 1px solid rgba(160, 223, 160, 1)
}

    .damage-cosmetic-r2.active, .damage-cosmetic-r2:hover {
        background-color: rgba(160, 223, 160, 1);
    }

.damage-moderate-r2 {
    background-color: rgba(255, 229, 180,.5);
    border: 1px solid rgba(255, 229, 180,1);
}

    .damage-moderate-r2.active, .damage-moderate-r2:hover {
        background-color: rgba(255, 229, 180,1);
    }

.damage-heavy-r2 {
    background-color: rgba(255, 128, 128,.5);
    border: 1px solid rgba(255, 128, 128,1);
}

    .damage-heavy-r2.active, .damage-heavy-r2:hover {
        background-color: rgba(255, 128, 128,1);
    }

.damage-extreme {
    background-color: #9E2B00;
}

.dvDamageServerity {
    padding: 1rem;
    width: 125px;
    /*position:relative;
    left:30px;*/
    float: right;
}

.center-front {
    width: 163px;
    height: 40px;
    left: 0;
    margin: auto;
}

/* New changes */
.vehicle-row-wrapper {
    display: flex;
    align-items: center;
}

.left-wrapper {
    position: relative;
    left: 0;
}

.right-wrapper {
    position: absolute;
    right: -45px;
}


._doorrear-r2 {
    left: 0;
}

._doorrear-l {
    left: -45px;
}

.vehicle-remark-wrapper, .vehicle-remark-wrapper2plus, .vehicle-remark-wrapperEasyClaim {
    display: flex;
    align-items: center;
    margin-top: -20px;
}

.horizontal-text {
    min-width: 100px;
    min-height: 40px;
    padding: 5px 15px;
}

.mid-wrapper.mechanical {
    top: 25%;
    margin: 0;
    position: absolute;
    left: 30%;
}

.mid-wrapper.interior {
    top: -10%;
    margin: 0;
    position: absolute;
    left: 30%;
}

.mid-wrapper.roof {
    top: -30px;
    margin: 0;
    position: absolute;
    left: 30%;
}

    .mid-wrapper.roof.custom-position {
        top: -50px;
    }

.underbody-wrapper {
    position: absolute;
    top: 9%;
    left: -45px;
}

.underbody-wrapper2Plus {
    position: absolute;
    top: 13%;
    left: -45px;
}

.glass-wrapper {
    position: absolute;
    bottom: 8%;
    left: -45px;
}

/*Arrow css**/
.line:before, .line2Plus:before, .lineFulFilmentType:before, .lineEasyClaim:before {
    position: absolute;
    z-index: 99999999;
    opacity: 1;
    content: " ";
    height: 0px;
    border: 9px solid transparent;
}

.inverseDir:before {
    border-right-color: #dd4b39;
    left: -11px;
    top: -7px;
}

.defaultDir:before {
    border-left-color: #dd4b39;
    right: -14px;
    top: -7px;
}

.line, .line2Plus, .lineFulFilmentType, .lineEasyClaim {
    pointer-events: none;
}


.dvDamageServerityHeader {
    font-weight: bold;
    text-align: center;
    padding: 1rem;
    width: 125px;
    position: relative;
    left: 30px;
}


#dvReserveFulFilmentTypeTab .doorfront-l, #dvReserveFulFilmentTypeTab .doorfront-r {
    width: 25px;
    height: 125px !important;
}


#dvReserveFulFilmentTypeTab .doorrear-l, #dvReserveFulFilmentTypeTab .doorrear-r, #dvReserveFulFilmentTypeTab .doorrear-r2 {
    width: 25px;
    height: 105px !important;
}

.underbody-wrapperFulFilmentType {
    position: absolute;
    transform: translate(-45px,-70px);
}




/*grid layout*/
.d-grid {
    display: grid;
}

.grid-flow-column {
    grid-auto-flow: column;
}

.grid-gap-1 {
    grid-gap: 0.5rem;
}

.grid-gap-2 {
    grid-gap: 1rem;
}

.grid-column-2 {
    grid-template-columns: repeat(2, minmax(0, 1fr));
}

input.amberText, input:read-only.amberText {
    color: #ffc107 !important;
    /*background-color: transparent !important;*/
}
